%define prerel %nil
%define title timidity

Name: TiMidity++
Version: 2.13.0
Release: alt1.1%prerel

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: Great-sounding CPU-hungry MIDI soundfile player.
Summary(ru_RU.KOI8-R): / MIDI .
Group: Sound
License: GPL
Url: http://www.%title.jp

Source: %url/dist/%name-%version%prerel.tar.bz2
Patch: TiMidity++-2.13.0-alt-config.patch

%define tcl_ver 8.4.0-alt1
%define tk_ver 8.4.0-alt1
%define alsa_ver 1.0.0

Requires: timidity-instruments
Requires: tcl >= %tcl_ver, tk >= %tk_ver
Requires: libalsa >= %alsa_ver

BuildPreReq: tcl-devel >= %tcl_ver, tk-devel >= %tk_ver
BuildPreReq: kernel-headers-std
BuildPreReq: libalsa-devel >= %alsa_ver

# Automatically added by buildreq on Mon Mar 29 2004
BuildRequires: XFree86-devel-static XFree86-libs XFree86-locales emacs21-common esound-devel glib-devel glib2-devel gtk+-devel jackit-devel libXaw3d-devel libalsa-devel libarts-devel libaudio-devel libaudiofile-devel libncurses-devel libogg-devel libpng-devel libslang-devel libtinfo-devel libvorbis-devel pkgconfig tcl-devel tk-devel xpm zlib-devel

%description
TiMidity++ is a converter that converts some of MIDI files
(formats : Standard MIDI file (*.MID), Recomposer files (*.RCP, *.R36,
*.G18, *.G36) and Module file (*.mod)) into formatted audio file  (ex
.RIFF  WAVE). TiMidity uses Gravis Ultrasound-compatible patch files or
Soundfonts( *.sfx, *.sf2 ) to generate digital audio data from MIDI
files. The digital audio data generated by TiMidity can be stored in a
file for processing, or played in real time through an audio device. In
real time playing, TiMidity if able to show the lyric contained in KAR
file or WRD file.

%description -l ru_RU.KOI8-R
TiMidity++  MIDI ,    
MIDI      wavetable    
 (patch files) -    Gravis Ultrasound
.pat- (   ).    
 timidity-instruments  timidity-eaw-patches.

%prep
%setup -q -n %name-%version%prerel
%patch -p1

%build
%add_optflags -DUSE_NON_CONST
%configure \
    --program-prefix="" \
    --enable-interface=xaw,ncurses,gtk,tcltk,emacs,slang \
    --enable-dynamic \
    --enable-audio=default,oss,alsa,esd,vorbis,nas,arts,jack \
    --with-nas-includes=%_x11includedir \
    --with-nas-library=%_x11libdir/libaudio.so \
    --with-default-output=oss \
    --enable-server \
    --enable-alsaseq \
    --enable-network \
    --enable-spectrogram \
    --enable-wrd

%make_build

%install
%makeinstall

# Install TiMidity interface for Emacs
%__subst 's@/usr/local/bin/%title@%_bindir/%title@' interface/%title.el
%__mkdir_p %buildroot%_emacslispdir
%__install -m644 interface/%title.el %buildroot%_emacslispdir/

# icon
%__mkdir_p %buildroot%_iconsdir
%__cp interface/pixmaps/%title.xpm %buildroot%_iconsdir

# menu
%__cat << __MENU__ > %name.menu
?package(%name): needs="X11" section="Multimedia/%group/" \
title="%name" longtitle="MIDI soundfile player" icon="%title.xpm"
?package(%name): command="%_bindir/%title -ig" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (GTK)" longtitle="MIDI soundfile player with GTK interface" icon="%title.xpm"
?package(%name): command="%_bindir/%title -ik" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (TclTk)" longtitle="MIDI soundfile player with TclTk interface" icon="%title.xpm"
?package(%name): command="%_bindir/%title -ia" needs="X11" section="Multimedia/%group/%name" \
title="%name synth (XAW)" longtitle="MIDI soundfile player with XAW interface" icon="%title.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# Adjust paths in tkmidity.tcl
%__subst 's,%buildroot,,g' %buildroot%_libdir/%title/tkmidity.tcl

# Create timidity.cfg in proper location
%__mkdir_p %buildroot%_sysconfdir
echo "dir %_datadir/%title" >%buildroot%_sysconfdir/%title.cfg

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%title
%_libdir/%title
%_mandir/*/*
%_emacslispdir/%title.el
%_menudir/%name
%_iconsdir/*
%config %_sysconfdir/%title.cfg
%doc doc/C/{README*,FAQ}

%changelog
* Wed Apr 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.13.0-alt1.1
- removed silly requirements.

* Mon Mar 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.13.0-alt1
- new version.

* Wed Jan 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt1pre1
- fixed build with alsa >= 1.0.0 (gentoo patch).

* Thu Jun 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.95pre1
- enabled NAS support.
- improved menus.
- url fixed.

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.12.0-alt0.9pre1
- rebuilt with tcl 8.4

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.8pre1
- rebuilt with gcc-3.2, new XFree86.
- updated buildrequires.
- made building always with alsa2.

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 2.12.0-alt0.7pre1
- rebuild with new vorbis

* Thu Jun 13 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.12.0-alt0.6pre1
- rebuilt in new env

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.12.0-alt0.5pre1
- beta version. (alsa2 supported).
- slang interface added.

* Sat Feb 2 2002  Yuri N. Sedunov <aris@altlinux.ru> 2.11.3-alt1
- Updated to 2.11.3
- ogg-vorbis output mode added.
- not ready for alsa2.

* Tue Dec 25 2001 Yuri N. Sedunov <aris@altlinux.ru> 2.10.4-alt1
- Adopted for Sisyphus
- Updated to 2.10.4

* Sun Mar 18 2001 AEN <aen@logic.ru> 2.10.3-ipl1mdk
- new version
* Wed Jan 10 2001 AEN <aen@logic.ru>
- adopted for RE

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.2-1mdk
- new and shiny vesrion.
- reenable gtk (why was it ever disabled?!)
- cleanup of stale patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.1-1mdk
- shiny new version.
- remove the strip and bzip2 code.
- get a new source instead of using patches.

* Wed Aug 09 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.10.0-1mdk
- Version 2.10.0
- Fixed man location for FHS

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.9.5-2mdk
- automatically added BuildRequires

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 2.9.5-1mdk
- Version 2.9.5

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version 2.9.4

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Mar 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- 2.9.0
- change license: it's majorly wrong
- change the buildroot

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.8.2-1mdk
- 2.8.2

*  Fri Dec 3 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.8.1

* Tue Oct 26 1999 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- 2.7.0: Note that 2.7.0 change the place where data and config files
  are, so old patches do not work anymore; i removed the patches, 
  and timidity.cgf is now in /usr/share/timidity with the other
  files; you need timidity-instruments-1.0-4mdk with this package.

* Fri Aug  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.3.0
- fix download URL

* Fri Jul 16 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 2.1.1

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Change paths to match the timidity-instruments package

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- handle RPM_OPT_FLAGS.

